<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (c) 2016-Present Webkul Software Pvt. Ltd. (<https://webkul.com/>) -->
<!-- See LICENSE file for full copyright and licensing details. -->
<!-- License URL : https://store.webkul.com/license.html/ -->

<odoo>
    <data>
        <record id="product_filter_form_view" model="ir.ui.view">
            <field name="name">product.filter.form</field>
            <field name="model">product.filter</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <div class="oe_button_box" name="button_box">
                            <button name="toggle_default_fold" type="object" class="oe_stat_button" icon="fa-check-square-o" attrs="{'invisible':[('default_fold','=',False)]}">
                                <field name="default_fold" widget="boolean_button"
                                    options='{"terminology": {
                                        "string_true": "Fold",
                                        "hover_true": "Open",
                                        "string_false": "Open",
                                        "hover_false": "Fold"
                                    }}'/>
                            </button>
                            <button name="toggle_default_fold" type="object" class="oe_stat_button" icon="fa-square-o" attrs="{'invisible':[('default_fold','=',True)]}">
                                <field name="default_fold" widget="boolean_button"
                                    options='{"terminology": {
                                        "string_true": "Fold",
                                        "hover_true": "Open",
                                        "string_false": "Open",
                                        "hover_false": "Fold"
                                    }}'/>
                            </button>
                            <button class="oe_stat_button" name="website_publish_button" type="object" icon="fa-globe">
                                <field name="website_published" widget="website_button"/>
                            </button>
                        </div>
                        <div class="oe_title">
							<label class="oe_edit_only" for="name" string="Filter Title"/>
							<h1><field name="name" required="1"/></h1>
                        </div>
                        <group>
                            <group>
                                <field name="filter_activation" widget="radio"/>
                            </group>
                            <group>
                                <field name="sequence"/>
                            </group>
                        </group>
                        <group>
                            <field name="category_ids" widget="many2many_tags" attrs="{'invisible':[('filter_activation','=','all_cat')]}"/>
                        </group>
                        <group>
                            <group>
                                <field name="value_operator" required="1"/>
                                <div class="text-muted" colspan="3">
                                    This operator will be applied on all the selected values of the filter.
                                </div>
                            </group>
                        </group>
                        <group string="Filter Values">
                            <field name="value_ids" nolabel="1">
                                <form>
                                    <sheet>
                                        <div class="oe_button_box" name="fltr_button_box">
                                            <button class="oe_stat_button" name="" icon="fa-tags" help="Total Products" style="pointer-events:none;width: 155px !important;height: 45px;">
                                                <field name="product_count" widget="statinfo"/>
                                            </button>
                                        </div>
                                        <div class="oe_title">
                                            <label class="oe_edit_only" for="name" string="Filter Value Name"/>
                                            <h1><field name="name" required="1" placeholder="Filter Value Name"/></h1>
                                        </div>
                                        <group>
                                            <group>
                                                <field name="sequence"/>
                                            </group>
                                        </group>
                                        <separator string="Parameters For Product Selection"/>
                                        <group>
                                            <field name="applied_config" widget="radio" options="{'horizontal': true}"/>
                                            <field name="product_domain" widget="domain" options="{'model': 'product.template'}" attrs="{'invisible' : [('applied_config', '=', 'manual')]}"/>
                                        </group>
                                        <separator string="Choose Products" class="oe_edit_only" attrs="{'invisible' : [('applied_config', '=', 'auto')]}"/>
                                        <separator string="Selected Products" class="oe_read_only" attrs="{'invisible' : [('applied_config', '=', 'auto')]}"/>
                                        <separator string="Selected Products On Conditions" attrs="{'invisible' : [('applied_config', '=', 'manual')]}"/>
                                        <field name="product_ids" widget="many2many_tags" attrs="{'readonly':[('applied_config','=','auto')]}" options="{'no_create': True, 'no_open' : True}"/>
                                    </sheet>
                                </form>
                                <tree>
                                    <field name="sequence" widget="handle"/>
                                    <field name="name"/>
                                    <field name="product_count"/>
                                </tree>
                            </field>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

        <record id="product_filter_tree_view" model="ir.ui.view">
            <field name="name">product.filter.tree</field>
            <field name="model">product.filter</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree>
                    <field name="sequence" widget="handle"/>
                    <field name="name"/>
                </tree>
            </field>
        </record>

        <record id="product_filter_action" model="ir.actions.act_window">
            <field name="name">Product Advance Filters</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">product.filter</field>
            <field name="view_mode">tree,form</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="product_filter_tree_view"/>
        </record>

        <record id="product_filter_value_form_view" model="ir.ui.view">
            <field name="name">product.filter.value.form</field>
            <field name="model">product.filter.value</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form>
                    <sheet>
                        <div class="oe_button_box" name="fltr_button_box">
                            <button class="oe_stat_button" name="" icon="fa-tags" help="Total Products" style="pointer-events:none;width: 155px !important;height: 45px;">
                                <field name="product_count" widget="statinfo"/>
                            </button>
                        </div>
                        <div class="oe_title">
                            <label class="oe_edit_only" for="name" string="Filter Value Name"/>
                            <h1><field name="name" required="1" placeholder="Filter Value Name"/></h1>
                        </div>
                        <group>
                            <group>
                                <field name="filter_id" required="1" options="{'no_create': True, 'no_open' : True}"/>
                                <field name="sequence"/>
                            </group>
                        </group>
                        <separator string="Parameters For Product Selection"/>
                        <group>
                            <field name="applied_config" widget="radio" options="{'horizontal': true}"/>
                            <field name="product_domain" widget="domain" options="{'model': 'product.template'}" attrs="{'invisible' : [('applied_config', '=', 'manual')]}"/>
                        </group>
                        <separator string="Choose Products" class="oe_edit_only" attrs="{'invisible' : [('applied_config', '=', 'auto')]}"/>
                        <separator string="Selected Products" class="oe_read_only" attrs="{'invisible' : [('applied_config', '=', 'auto')]}"/>
                        <separator string="Selected Products On Conditions" attrs="{'invisible' : [('applied_config', '=', 'manual')]}"/>
                        <field name="product_ids" widget="many2many_tags" attrs="{'readonly':[('applied_config','=','auto')]}" options="{'no_create': True, 'no_open' : True}"/>
                    </sheet>
                </form>
            </field>
        </record>

        <record id="product_filter_value_tree_view" model="ir.ui.view">
            <field name="name">product.filter.value.tree</field>
            <field name="model">product.filter.value</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree>
                    <field name="sequence" widget="handle"/>
                    <field name="name"/>
                    <field name="filter_id"/>
                    <field name="product_count"/>
                </tree>
            </field>
        </record>

        <record id="product_filter_value_action" model="ir.actions.act_window">
            <field name="name">Product Filter Values</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">product.filter.value</field>
            <field name="view_mode">tree,form</field>
            <field name="view_type">form</field>
            <field name="view_id" ref="product_filter_value_tree_view"/>
        </record>

        <record id="product_filter_value_tree_view_in_product" model="ir.ui.view">
            <field name="name">filter.value.tree.in.product</field>
            <field name="model">product.filter.value</field>
            <field name="type">tree</field>
            <field name="arch" type="xml">
                <tree>
                    <field name="filter_id" string="Filter"/>
                    <field name="name" string="Value"/>
                </tree>
            </field>
        </record>

        <menuitem
            id="menu_product_filter_action"
            name="Filters"
            action="product_filter_action"
            parent="website_sale.menu_product_settings"
            groups="website_product_advance_filters.product_adv_fltrs_group"
            sequence="3"
        />
        <menuitem
            id="menu_product_filter_value_action"
            name="Filter Values"
            action="product_filter_value_action"
            parent="website_sale.menu_product_settings"
            groups="website_product_advance_filters.product_adv_fltrs_group"
            sequence="3"
        />
    </data>
</odoo>
